<!DOCTYPE html>
<html lang="en">

<head>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />

    <title>Document</title>
</head>

<body>
    <div class="container">
        <div class="row  border-info">
            <div class="jumbotron signup-form col-sm-6 mx-auto">
                <div class="form-group  border-info">
                    <h2>Sign Up</h2>
                </div>
                <div class="form-group  border-info">
                    <p class="hint-text">Please fill in this form create account!</p>
                </div>
                <div class="form-group  border-info">
                    <hr>
                </div>
                <div class="form-group  border-info">
                    <div class="row">
                        <div class="col">
                            <input type="text" class="form-control" id="inp-first-name" placeholder="First Name">
                        </div>
                        <div class="col">
                            <input type="text" class="form-control" id="inp-last-name" placeholder="Last Name">
                        </div>
                    </div>
                </div>
                <div class="form-group  border-info">
                    <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group  border-info">
                    <input type="password" class="form-control" id="inp-password" placeholder="PassWord">
                </div>
                <div class="form-group  border-info">
                    <input type="password" class="form-control" id="inp-confirm-password"
                        placeholder="Confirm PassWord">
                </div>
                <div class="form-group  border-info">
                    <input type="checkbox" id="check-confirm-accept"> I accept the
                    <a href="#">Terms of Use</a>
                    <a href="#">Privacy Policy</a>
                    <p id="p-argee-feedback" class="invalid-feedback">You must accept before submitting</p>
                </div>
                <div class="form-group  border-info">
                    <button class="btn btn-primary btn-lg" id="btn-sign-up">Sign Up</button>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    $(document).ready(function () {
        $("#btn-sign-up").on("click", onBtnClickSignUp);
    })
    function onBtnClickSignUp() {
        var vObject = {
            firstname: "",
            lastname: "",
            email: "",
            password: "",
            confirmpassword: "",
            iAccept: false
        }
        readDataUser(vObject);
        var vDuLieuHopLe = validate(vObject);
        if (vDuLieuHopLe) {
            showDataUser(vObject);
        }
    }
    function readDataUser(paramObject) {
        paramObject.firstname = $("#inp-first-name").val();
        paramObject.lastname = $("#inp-last-name").val();
        paramObject.email = $("#inp-email").val();
        paramObject.password = $("#inp-password").val();
        paramObject.confirmpassword = $("#inp-confirm-password").val();
        paramObject.iAccept = $("#check-confirm-accept").is(":checked");
    }
    function validate(paramObject) {
        var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if (paramObject.firstname == "") {
            console.log("Chưa nhập First Name ");
            return false;
        }
        if (paramObject.lastname == "") {
            console.log("Chưa nhập Last Name ");
            return false;
        }
        if (paramObject.email == "") {
            console.log("Chưa nhập Email");
            return false;
        }
        if (!vRegexStr.test(paramObject.email)) {
            console.log("Email đã nhập không hợp lệ");
            return false;
        }
        if (paramObject.password == "") {
            console.log("Chưa nhập PassWord");
            return false;
        }
        if (paramObject.password != paramObject.confirmpassword) {
            console.log("Confirm Password không hợp lệ");
            return false;
        }
        if (!paramObject.iAccept) {
            $("#p-agree-feedback").css("display", "block");
            console.log("You must accept before submitting");
            return false;
        }
        else {
            $("#p-agree-feedback").css("display", "none");
        }
        return true;
    }
    function showDataUser(paramObject){
        console.log("First Name : "  + paramObject.firstname);
        console.log("Last Name : "  + paramObject.lastname);
        console.log("Email : "  + paramObject.email);
        console.log("PassWord : "  + paramObject.password);
        console.log("Confirm PassWord : "  + paramObject.confirmpassword);
        console.log("Accept : "  + paramObject.iAccept);

    }

</script>

</html>